; TIP957x.LSP: TIME.LSP [REVISED]    (c)1994, Tony Rogers 
; Revised to work with non-Novell network systems

(defun C:T ()
   (setq time (rtos (getvar "CDATE") 2 6)   ;Gets Julian date.
      hr (substr time 10 2)                 ;Hours.
      m  (substr time 12 2)                 ;Minutes.
   )
   (setq date (rtos (getvar "CDATE") 2 6)   ;Gets Julian date.


;;********START REVISE_1
      yr (atof (substr date 1 4))                  ;Year.   <add atof>
      mo (atof (substr date 5 2))           ;Month.   <change to atof>
      day (atof (substr date 7 2))          ;Day.  <change to atof>
   )
   (setq day_f day)                                  ; <set day_f to day before changing
;;********STOP REVISE_1


(setq day (fix day))                     ;Fixes day to read 5, not 05.
   (setq day (itoa day))
   (setq t (atoi (strcat hr m)))
   (setq hr (atoi hr))                      ;Adjusts time if past 12:00.
   (if
      (> hr 12)
      (setq hr (- hr 12))
   )
   (setq hr (itoa hr))
   (setq t1 (strcat hr ":" m))              ;Strings together hour & minutes.
   (progn
      (if                                   ;Sets greeting for morning.
         (< t 1200)
         (setq greet "Good morning.")
      )
      (if                                   ;Sets greeting for afternoon.
         (and
            (>= t 1200) (< t 1800)
         )
         (setq greet "Good afternoon.")
      )
      (if                                   ;Sets greeting for evening.
         (and
            (>= t 1800) (< t 2400)
         )
         (setq greet "Good evening.")
      )
   )
   (progn
      (if                                   ;Sets time for am.
         (< t 1200)
         (setq t2 "am")
      )
      (if                                   ;Sets time for pm.
         (> t 1200)
         (setq t2 "pm")
      )
   )
   (setq t3 (strcat t1 " " t2))             ;Strings together time and 
   ; am or pm.


;;********START REVISE_2
;;ADD FOLLOWING LINES
   
    (setq N (if (<= MO 2)
    (+ (fix (* (+ MO 13)30.6))(fix (* (- YR 1)365.25)) DAY_F)
    (+ (fix (* (+ MO  1)30.6))(fix (* YR 365.25)) DAY_F)
           )
  )

   (setq yr (rtos yr 2 0))
   (setq day_s day)

   (setq DAY (rem (- N 2) 7)) ; modulo 7 from Sun.,12/30/1900
    (setq DAY (rtos DAY 2 0))
;;********STOP REVISE_2


   (if                                   ;Sets day name.
      (= day "1")
      (setq day2 "Monday")
   )
   (if                                   
      (= day "2")
      (setq day2 "Tuesday")
   )
   (if                                   
      (= day "3")
      (setq day2 "Wednesday")
   )
   (if                                   
      (= day "4")
      (setq day2 "Thursday")
   )
   (if                                   
      (= day "5")
      (setq day2 "Friday")
   )
   (if                                   
      (= day "6")
      (setq day2 "Saturday")
   )
   (if                                   


;;********START REVISE_3
      (= day "0")         ;;<change 1 to 0>
;;********STOP REVISE_3 


     (setq day2 "Sunday")
   )

   (if                                   ;Sets month name.
      (= mo 01)
      (setq mo1 "January")
   )
   (if
      (= mo 02)
      (setq mo1 "February")
   )
   (if
      (= mo 03)
      (setq mo1 "March")
   )
   (if
      (= mo 04)
      (setq mo1 "April")
   )
   (if
      (= mo 05)
      (setq mo1 "May")
   )
   (if
      (= mo 06)
      (setq mo1 "June")
   )
   (if
      (= mo 07)
      (setq mo1 "July")
   )
   (if
      (= mo 08)
      (setq mo1 "August")
   )
   (if
      (= mo 09)
      (setq mo1 "September")
   )
   (if
      (= mo 10)
      (setq mo1 "October")
   )
   (if
      (= mo 11)
      (setq mo1 "November")
   )
   (if
      (= mo 12)
      (setq mo1 "December")
   )
 


;;START REVISE_4
  (setq date1 (strcat mo1 " " day_s ", " yr));Strings together date.<CHANGE DAY TO DAY_S>
;;STOP REVISE_4 


  (setq date2 (strcat day2 ", " date1 "  " t3));Strings together day, 
   ; date & time.
   (princ "\n")                                ;Prints greeting on screen.
   (princ greet)
   (princ "\nIt is ")                          ;Prints date & time on screen.
   (princ date2)
   (princ ".")
   (princ)
); end time.lsp REVISED



